Open Backtest Docs
APISessionsSessionTrades

Ingest closed trades (batch of 1–500)

POST
/sessions/{id}/trades

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sessions/string/trades" \  -H "Content-Type: application/json" \  -d '{    "trades": [      {        "side": "long",        "qty": 1,        "entryPrice": 1,        "entryTime": 1,        "exitPrice": 1,        "exitTime": 1      }    ]  }'
{  "inserted": 0,  "trades": [    {      "id": "string",      "sessionId": "string",      "side": "long",      "qty": 0,      "entryPrice": 0,      "entryTime": 0,      "exitPrice": 0,      "exitTime": 0,      "stopLoss": 0,      "takeProfit": 0,      "feesPaid": 0,      "plGross": 0,      "plNet": 0,      "plPct": 0,      "rMultiple": 0,      "note": "string",      "createdAt": 0    }  ]}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}
{  "error": {    "code": "NOT_FOUND",    "message": "Session not found"  }}